## calligra 2.3.86

=== debian/changelog ===
calligra (1:2.3.86-0ubuntu6) precise; urgency=low

  * Update kubuntu_01_arm_fixes.diff for more ARM missing qreal

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Jan 2012 12:34:39 +0000

calligra (1:2.3.86-0ubuntu5) precise; urgency=low

  [ Jonathan Riddell ]
  * Update kubuntu_01_arm_fixes.diff for more ARM missing qreal

  [ Michal Zajac ]
  * Added braindump as Depends to calligra metapackage

 -- Michal Zajac <quintasan@kubuntu.org>  Fri, 13 Jan 2012 17:30:47 +0000

calligra (1:2.3.86-0ubuntu4) precise; urgency=low

  * Add kubuntu_01_arm_fixes.diff to fix ARM build failures

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2012 17:29:33 +0000

calligra (1:2.3.86-0ubuntu3) precise; urgency=low

  * calligra recommends not suggests create-resources

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jan 2012 15:49:59 +0000

calligra (1:2.3.86-0ubuntu2) precise; urgency=low

  * Karbon recommends pstoedit, used at runtime

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jan 2012 15:38:32 +0000

calligra (1:2.3.86-0ubuntu1) precise; urgency=low

  * Beta 6 from upstream
  * Add build-depends on libicu-dev, libattica-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jan 2012 11:25:37 +0000
