=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=calligra-dbg

.PHONY: override_dh_auto_test
