=== doc/CMakeLists.txt ===
add_subdirectory(calligra)
if(BUILD_kexi)
    add_subdirectory(kexi)
endif(BUILD_kexi)
if(BUILD_stage)
    add_subdirectory(stage)
endif(BUILD_stage)
if(BUILD_sheets)
	add_subdirectory(sheets)
endif(BUILD_sheets)
add_subdirectory(thesaurus)
INSTALL(FILES   calligra.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
