=== filters/kformula/CMakeLists.txt ===
message(STATUS "KFormula: still need to port: png, latex, svg and kformula1.3 filters")

include_directories( ${KFORMULA_INCLUDES})

#add_subdirectory( png )
#add_subdirectory( latex )
#add_subdirectory( svg )
#add_subdirectory( kformula1.3 )
