=== debian/changelog ===
calligra (1:2.4.0-0ubuntu2.1) precise-security; urgency=high

  * SECURITY UPDATE:
  * References See patch header
  * Add debian/patches/wv2_buffer_overflow_fix.diff to fix buffer overflow in
    embedded copy of wv2 MS Word filter (LP: #1032934)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 04 Aug 2012 05:12:38 -0400

calligra (1:2.4.0-0ubuntu2) precise; urgency=low

  * Keep calligra-map-shape package with no files, precent crashes for people
    who have old versions installed
  * Rebuild with latest pkg-kde-tools to generate .pot files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Apr 2012 14:17:59 +0100

calligra (1:2.4.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add IHAVEPATCHEDQT as described in README.PACKAGERS
  * Disable calligra-map-shape package, plugin disabled by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Apr 2012 13:05:35 +0000

calligra (1:2.3.92-0ubuntu1) precise; urgency=low

  * New upstream RC release
  * Remove do_not_link_blas now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Mar 2012 15:44:58 +0000

calligra (1:2.3.91-0ubuntu2) precise; urgency=low

  * Move ttf-lyx from recommends to suggests, it's in universe
  * Add transitional packages for KOffice names, LP: #915431

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Mar 2012 10:32:22 +0000

calligra (1:2.3.91-0ubuntu) precise; urgency=low

  * New upstream release
  * Remove kubuntu_03_cmakelists_update.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Mar 2012 14:34:55 +0000

calligra (1:2.3.87-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Remove kubuntu_01_arm_fixes.diff all upstreamed
  * Add kubuntu_03_cmakelists_update.diff from upstream
  * Add kdelibs5-experimental-dev build-dep
  * TODO: review optional build-depends to ensure up to date

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Feb 2012 11:01:53 +0000

calligra (1:2.3.86-0ubuntu9) precise; urgency=low

  * debian/patches/kubuntu_01_arm_fixes.diff: Modify patch to include
    a fix for another double/qreal mixup that causes FTBFS on ARM.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 25 Jan 2012 22:39:30 +0200

calligra (1:2.3.86-0ubuntu8) precise; urgency=low

  * debian/patches/kubuntu_02_x11_link.patch: Fix FTBFS when building
    without OpenGL support (armel and armhf)

 -- Jani Monoses <jani@ubuntu.com>  Wed, 25 Jan 2012 08:23:09 +0200

calligra (1:2.3.86-0ubuntu7) precise; urgency=low

  * Remove build-dep on dcmtk, see https://launchpad.net/bugs/702026,
    remove calligrawords dcm files for it
  * Remove build-dep on openjpeg, also not in main, remove krita jp2 file for it
  * Make libglew-dev not arm build-dep, it conflicts with arm using GLES
  * Build-dep on libglew1.5-dev because it is in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jan 2012 15:00:10 +0000
