=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 7.4.10), cmake (>= 2.6.2), pkg-kde-tools (>= 0.9),
+Build-Depends: debhelper (>= 7.4.10), cmake (>= 2.6.2), pkg-kde-tools (>= 0.14.2ubuntu3),
   kdelibs5-dev (>= 4:4.4.0), kdepimlibs5-dev (>= 4:4.4.3),
   libkdcraw-dev (>= 4:4.4.3), okular-dev (>= 4:4.4.3),
   libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
   shared-mime-info, zlib1g-dev, libpng12-dev, libboost-dev,
 # optional b-d
-  libtiff4-dev, libjpeg-dev, libopenjpeg-dev, libgif-dev,
-  libglew-dev, libopenexr-dev,
+  libtiff4-dev, libjpeg-dev, libgif-dev,
+  libglew1.5-dev [!armel !armhf], libopenexr-dev,
   libeigen2-dev (>= 2.0~beta6), libwpd-dev (>=0.9.1), libwpg-dev (>=0.2.0),
   pstoedit, libexiv2-dev, libxslt1-dev, libqca2-dev, libfftw3-dev,
   libgsl0-dev, libpoppler-dev, libpoppler-qt4-dev,
@@ -21,8 +21,9 @@
   liblcms2-dev,
   libmarble-dev,
 # no in koffice
-  libgsf-1-dev, libdcmtk2-dev, libspnav-dev, shared-desktop-ontologies,
-  opengtl-dev, libqtgtl-dev, libicu-dev, libattica-dev
+  libgsf-1-dev, libspnav-dev, shared-desktop-ontologies,
+  opengtl-dev, libqtgtl-dev, libicu-dev, libattica-dev,
+  kdelibs5-experimental-dev
 Standards-Version: 3.9.2
 Homepage: http://www.calligra-suite.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
@@ -34,10 +35,10 @@
 Replaces: koffice
 Conflicts: koffice
 Depends: ${misc:Depends}, karbon (>= ${source:Version}), calligraflow (>= ${source:Version}), calligraplan (>= ${source:Version}),
- calligrastage (>= ${source:Version}), krita (>= ${source:Version}), calligratables (>= ${source:Version}),
+ calligrastage (>= ${source:Version}), krita (>= ${source:Version}), calligrasheets (>= ${source:Version}),
  calligrawords (>= ${source:Version}), kthesaurus (>= ${source:Version}),
  kexi (>= ${source:Version}), braindump (>= ${source:Version})
-Recommends: calligra-map-shape (>= ${source:Version}), create-resources
+Recommends: create-resources
 Homepage: http://www.calligra-suite.org
 Description: integrated work applications suite
  Calligra Suite is a set of applications written to help you to accomplish
@@ -107,18 +108,19 @@
  .
  This package is part of the Calligra Office Suite.
 
-Package: kexi-calligratables-driver
+Package: kexi-calligrasheets-driver
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version}),
- calligratables (>= ${source:Version})
-Description: Tables plugin for kexi
- Kexi is an integrated data management application. It can be used for
- creating database schemas, inserting data, performing queries, and
- processing data. Forms can be created to provide a custom interface to
- your data. All database objects - tables, queries and forms - are stored
- in the database, making it easy to share data and design.
- .
- This package provides support for Calligra Tables in Kexi.
+ calligrasheets (>= ${source:Version})
+Replaces: kexi-calligratables-driver
+Description: Sheets plugin for kexi
+ Kexi is an integrated data management application. It can be used for
+ creating database schemas, inserting data, performing queries, and
+ processing data. Forms can be created to provide a custom interface to
+ your data. All database objects - tables, queries and forms - are stored
+ in the database, making it easy to share data and design.
+ .
+ This package provides support for Calligra Sheets in Kexi.
  .
  This package is part of the Calligra Office Suite.
