=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 %:
 	dh $@ --parallel --with kde --with sodeps
 
+override_dh_auto_configure:
+	dh_auto_configure -Skde -- -DIHAVEPATCHEDQT=true
+
 override_dh_install:
 	dh_install --list-missing
 
@@ -15,4 +18,3 @@
 	dh_strip --dbg-package=calligra-dbg
 
 .PHONY: override_dh_auto_test
-
